
function demo_test()

%you can change the IoU threshold below
IoU = 0.5;%0.75

%% specify path of detections
dtDir_MBNet = '.\state_of_art\MBNet\det';

%other methods
dtDir_ARCNN = '.\state_of_art\ARCNN\det';
dtDir_CIAN = '.\state_of_art\CIAN\det';
dtDir_IAF_RCNN = '.\state_of_art\IAF-RCNN\det';
dtDir_dt_ACF_C_T = '.\state_of_art\dt-ACF+C+T.mat';
dtDir_dt_Fusion_RPN_BDT = '.\state_of_art\dt-Fusion_RPN+BDT.mat';
dtDir_dt_Halfway_Fusion = '.\state_of_art\dt-Halfway_Fusion.mat';
dtDir_dt_IATDNN_IAMSS = '.\state_of_art\dt-IATDNN-IAMSS.mat';

%% specify path of groundtruth annotaions
gtDir = '.\improve_annotations_liu';


%% evaluate detection results
disp('------------------------------------');
disp('          evaluate MBNet            ');
disp('------------------------------------');
disp('The log-average miss rate of MBNet detection results:')
kaist_eval_full(dtDir_MBNet, gtDir, false, true,IoU);

disp('------------------------------------');
disp('evaluate other state-of-art methods');
disp('------------------------------------');
%evaluate other state-of-art methods 
disp('The log-average miss rate of AR-CNN detection results:')
kaist_eval_full(dtDir_ARCNN, gtDir, false, true,IoU);
disp('The log-average miss rate of CIAN detection results:')
kaist_eval_full(dtDir_CIAN, gtDir, false, true,IoU);
disp('The log-average miss rate of IAF_RCNN detection results:')
kaist_eval_full(dtDir_IAF_RCNN, gtDir, false, true,IoU);

disp('The log-average miss rate of ACF+C+T detection results:')
kaist_eval_full_mat(dtDir_dt_ACF_C_T,IoU);
disp('The log-average miss rate of Fusion_RPN+BDT detection results:')
kaist_eval_full_mat(dtDir_dt_Fusion_RPN_BDT,IoU);
disp('The log-average miss rate of Halfway_Fusion detection results:')
kaist_eval_full_mat(dtDir_dt_Halfway_Fusion,IoU);
disp('The log-average miss rate of IATDNN-IAMSS detection results:')
kaist_eval_full_mat(dtDir_dt_IATDNN_IAMSS,IoU);
end
